/**
 * Created by abdulazizalonizi on 8/8/17.
 */
public class BoxDriver {
    /*
    public static void main(String[ ] args) {
        Box box1 = null, box2 = null; // Create two Box objects
        try{
            box1 = new Box(20.0, 10.0, 15.0); // normally the values will be read
            box2 = new Box(6.0, 4.0, 2.0);
        }
        catch(IllegalArgumentException e){
            System.out.println(e);
            System.exit(1);
        }
        double volume, area;
        // Get and display volume and surface area of box1 and box2
        volume = box1.volume( );
        area = box1.surfaceArea( );
        System.out.println("The volume of box1 is " + volume + " cubic cm");
        System.out.println("The surface area of box1 is "+area+" square cm\n");
        System.out.println("The volume of box2 is " + box2.volume( ) + " cubic cm");
        System.out.println("The surface area of box2 is "+ box2.surfaceArea() +" square cm\n");

        System.out.println("Box1 before length modification:\nLength :" + box1.getLength() );
        box1.setLength(40);
        System.out.println("Box1 After length modification:\nLength :" + box1.getLength() );









    }
    */
    //LAB11
    public static void main (String[] args)
    {

        Box b1 = new Box(4 , 4 , 4);
        Box b2 = new Box (b1);
        System.out.println(b1 +"\n"+b2+"\nAre they Equal :"+b1.equals(b2));








    }
}
